OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
SolveBoundaryOp< Vec3GridT, MaskT > Struct Template Reference

`#include <PotentialFlow.h>`

## Public Member Functions
| SolveBoundaryOp (const Vec3GridT &velGrid, const MaskT &domainGrid)
void | operator() (const Coord &ijk, const Coord &neighbor, double &source, double &diagonal) const

## Public Attributes
const double | mVoxelSize
const Vec3GridT & | mVelGrid
const MaskT & | mDomainGrid

## Constructor & Destructor Documentation

## ◆ SolveBoundaryOp()

SolveBoundaryOp | ( | const Vec3GridT & | velGrid,
|  | const MaskT & | domainGrid
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const Coord & | ijk,
|  | const Coord & | neighbor,
|  | double & | source,
|  | double & | diagonal
| ) |  | const
| inline

## Member Data Documentation

## ◆ mDomainGrid

const MaskT& mDomainGrid

## ◆ mVelGrid

const Vec3GridT& mVelGrid

## ◆ mVoxelSize

const double mVoxelSize

The documentation for this struct was generated from the following file:

- PotentialFlow.h